Page MenuHomePhabricator

Errors in Parsoid v2 entry point
Closed, ResolvedPublic0 Story Points

Description

We are just starting to do some mass testing through restbase, and noticed failures from Parsoid when using the v2 GET entry point. Test cases:

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke changed Security from none to None.
GWicke added a project: Parsoid.
GWicke edited subscribers, added: Arlolra; removed: Aklapper.
GWicke added a subscriber: GWicke.
Arlolra claimed this task.Dec 2 2014, 9:52 PM

Ah, this is from stripping at !topLevel pipelines. Fixing.

Arlolra triaged this task as High priority.Dec 2 2014, 9:52 PM

Change 177142 had a related patch set uploaded (by Arlolra):
Fix failures from v2 endpoint

https://gerrit.wikimedia.org/r/177142

Patch-For-Review

Change 177142 merged by jenkins-bot:
Fix failures from v2 endpoint

https://gerrit.wikimedia.org/r/177142

From the commit message,

Although this resolves the crashes, I'm unsatisfied with it as a
proper fix to the underlying issue. There are many places throughout
the codebase where we serialize and then parse document fragments
that should be instrumented to store and unpack data-* attributes.
ssastry moved this task from Backlog to In Progress on the Parsoid board.Dec 4 2014, 8:22 AM

FWIW, I haven't seen any significant number of crashes since.

ssastry moved this task from In Progress to VE Q3 on the Parsoid board.Jan 31 2015, 1:19 AM
GWicke added a comment.EditedMar 5 2015, 9:26 PM

@Arlolra, I think this issue can be closed. I reported the remaining crashers in a separate page (all long lists that time out). Can't find it right now though.

Edit: T88915

@GWicke The crashers are fixed but the robustness mentioned in T76518#804047 hasn't. Should I close this an open another then?

Arlolra closed this task as Resolved.Mar 5 2015, 9:44 PM